udptl_state_s Struct Reference

## Public Attributes

udptl_rx_packet_handler_t | rx_packet_handler
void * | user_data
int | error_correction_scheme
int | error_correction_entries
int | error_correction_span
int | far_max_datagram_size
int | local_max_datagram_size
int | verbose
int | tx_seq_no
int | rx_seq_no
int | rx_expected_seq_no
udptl_fec_tx_buffer_t | tx [15+1]
udptl_fec_rx_buffer_t | rx [15+1]

## Member Data Documentation

## error_correction_entries

int udptl_state_s::error_correction_entries

This option indicates the number of error correction entries transmitted in UDPTL packets.

## error_correction_scheme

int udptl_state_s::error_correction_scheme

This option indicates the error correction scheme used in transmitted UDPTL packets.

## error_correction_span

int udptl_state_s::error_correction_span

This option indicates the span of the error correction entries in transmitted UDPTL packets (FEC only).

## far_max_datagram_size

int udptl_state_s::far_max_datagram_size

This option indicates the maximum size of a datagram that can be accepted by the remote device.

## local_max_datagram_size

int udptl_state_s::local_max_datagram_size

This option indicates the maximum size of a datagram that we are prepared to accept.

The documentation for this struct was generated from the following file:

- udptl.h